org.apache.cxf.interceptor.security

## Class DepthRestrictingStreamInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.DepthRestrictingStreamInterceptor

- All Implemented Interfaces:
    Interceptor<Message>, PhaseInterceptor<Message>

      public class DepthRestrictingStreamInterceptor
      extends AbstractPhaseInterceptor<Message>

  Creates an XMLStreamReader from the InputStream on the Message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DepthRestrictingStreamInterceptor()`
    `DepthRestrictingStreamInterceptor(String phase)`
    `DepthRestrictingStreamInterceptor(String phase, List<String> after)`
    `DepthRestrictingStreamInterceptor(String phase, List<String> before, List<String> after)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canBeIgnored(Message message)`
    `int` | `getElementCountThreshold()`
    `int` | `getInnerElementCountThreshold()`
    `int` | `getInnerElementLevelThreshold()`
    `void` | `handleMessage(Message message)` Intercepts a message.
    `void` | `setElementCountThreshold(int elementCountThreshold)` Sets the acceptable total number of elements in the XML payload
    `void` | `setInnerElementCountThreshold(int innerElementCountThreshold)` Sets the acceptable total number of child elements for the current XML element
    `void` | `setInnerElementLevelThreshold(int elementLevelThreshold)` Sets the acceptable total stack depth in the XML payload

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DepthRestrictingStreamInterceptor

          public DepthRestrictingStreamInterceptor()

    - #### DepthRestrictingStreamInterceptor

          public DepthRestrictingStreamInterceptor(String phase)

    - #### DepthRestrictingStreamInterceptor

          public DepthRestrictingStreamInterceptor(String phase,
                                                   List<String> after)

    - #### DepthRestrictingStreamInterceptor

          public DepthRestrictingStreamInterceptor(String phase,
                                                   List<String> before,
                                                   List<String> after)

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### canBeIgnored

          protected boolean canBeIgnored(Message message)

    - #### setElementCountThreshold

          public void setElementCountThreshold(int elementCountThreshold)

      Sets the acceptable total number of elements in the XML payload
      Parameters:
        `elementCountThreshold` -

    - #### getElementCountThreshold

          public int getElementCountThreshold()

    - #### setInnerElementLevelThreshold

          public void setInnerElementLevelThreshold(int elementLevelThreshold)

      Sets the acceptable total stack depth in the XML payload
      Parameters:
        `elementLevelThreshold` -

    - #### getInnerElementLevelThreshold

          public int getInnerElementLevelThreshold()

    - #### setInnerElementCountThreshold

          public void setInnerElementCountThreshold(int innerElementCountThreshold)

      Sets the acceptable total number of child elements for the current XML element
      Parameters:
        `innerElementCountThreshold` -

    - #### getInnerElementCountThreshold

          public int getInnerElementCountThreshold()

Apache CXF